---
- name: Prep Ansible Server
  hosts: localhost
  vars:
    ansible_connection: local
    ansible_python_interpreter: /usr/bin/python
  tasks:
    - name: Provision App Server
      amazon.aws.ec2_instance:
        name: "app-server"
        vpc_subnet_id: "{{ vpc_subnet_id }}"
        key_name: ansible-test
        security_group: myapp-sg
        instance_type: t2.micro
        image_id: ami-078c1149d8ad719a7
        tags:
          Env: production

    - name: Provision MySQL Server
      amazon.aws.ec2_instance:
        name: "mysql-server"
        vpc_subnet_id: "{{ vpc_subnet_id }}"
        key_name: ansible-test
        security_group: myapp-sg
        instance_type: t2.micro
        image_id: ami-078c1149d8ad719a7
        tags:
          Env: production
